# Change Log

## 1.23.3
* Add an option for a heavy blur
* Improve indexing apps
* Fix updating hidden apps

## 1.23.2
* Update app drawer after excluding/including pie icons
* Update Dutch translation

## 1.23.1
* Add a menu to start or uninstall hidden apps
* Add an option to exclude pie icons from app drawer
* Revert restarting home screen by default
* Optimize vector drawables

## 1.23.0
* Improve dragging down app drawer
* Add pie appearance/disapearance animation
* Add an option to ignore side touches
* Add an option to disable haptic feedback for launch
* Save icon mappings for each selected icon pack
* Support multi-window mode
* Improve haptic feedback
* Allow starting hidden apps
* Make restarting home screen the default setting

## 1.22.0
* Add options to hide status and/or navigation bar
* Add an option to disable haptic feedback
* Update Dutch translation
* Update Russian translation

## 1.21.1
* Add an option to prevent home screen reuse
* Fix immersive mode on devices with a notch

## 1.21.0
* Add long press/double tap options to open app list
* Add an option to enable immersive mode
* Add an option to invert dialog colors
* Improve animations
* Make empty taps close the app drawer
* Update Ukrainian translation

## 1.20.1
* Improve usability in gesture navigation mode
* Update dutch translation

## 1.20.0
* Add an option to always open the app drawer when no app was lauched
* Update icon colors from Material You color changes
* Update Ukrainian translation
* Fix display error after an icon has been changed

## 1.19.4
* Improve handling interactions during animations
* Add Dutch translation

## 1.19.3
* Improve keyboard configuration
* Improve dismissing app drawer
* Update swedish translation
* Fix dragging icons in pie editor

## 1.19.2
* Add an option to open the app list with its own icon in the pie menu
* Improve fade animations
* Animate pulling down the app list to close it
* By default, app names are only displayed when searching

## 1.19.1
* Fix app search

## 1.19.0
* Make pie menu orientation adjustable
* Add a preference to search by package name
* Make app listing slide in
* Turn pie menu with a second finger
* Add swedish translation

## 1.18.5
* Add a preference to show/hide app names

## 1.18.4
* Add a button to remove all icon mappings
* Follow system settings for animations
* Update Ukrainian translation
* Update Russian translation

## 1.18.3
* Fix icon mappings
* Update Chinese translation
* Update Russian translation

## 1.18.2
* Improve preference labels
* Add a preference to blur the background (if supported)

## 1.18.1
* Add an option to lock the menu
* Add drop target to hide an app
* Fix auto-launching perfect matches
* Update Russian translation

## 1.18.0
* Support for Icon Packs
* Hide apps from the launcher
* Add a preference to control long press time
* Improve touch feedback
* Fix handling large icons
* Fix make default launcher button
* Make ".." open the preferences and ",," the pie editor
* Add Russian translation

## 1.17.5
* Improve tap detection
* Improve preferences screen

## 1.17.4
* Use space to move keyboard selection
* Delay touch feedback in app drawer

## 1.17.3
* Improve touch feedback in app drawer

## 1.17.1
* Improve animations
* Fix back navigation

## 1.17.0
* Animate drop zones in pie editor
* Improve touch detection
* Add Ukrainian translation

## 1.16.1
* Fix restoring display keyboard preference

## 1.16.0
* Add a settings button next to the search input
* Add auto-rotation to orientation options
* Add options menu for phones with hardware menu button
* Improve pie editor layout on small screens
* Improve order of settings

## 1.15.1
* Add an option to ignore touches at the top/bottom

## 1.15.0
* Make search strictness configurable
* Optionally auto launch perfect matches
* Optionally darken background in pie mode
* Launch first app by double-pressing space
* Show tips when dragging an icon on a drop target
* Add German translation
* Update Chinese translation

## 1.14.3
* Improve app indexing

## 1.14.2
* Perform haptic feedback when pie choice changes
* Improve welcome screen
* Fix initialization after boot

## 1.14.1
* Improve settings
* Fix search action for some keyboards

## 1.14.0
* Add an option to show/hide keyboard
* Add an option to manually set an orientation
* Add an option to set launcher as default
* Fix loosing default orientation
* Update Chinese translation

## 1.13.0
* Add support for work profiles
* Add french translation
* Add cancelling pie menu with two fingers
* Add monochome launcher icon for Android 13
* Improve locking to default screen orientation

## 1.12.0
* Avoid rotating the menu while editing
* Add Chinese translation

## 1.11.0
* Show a marker above the default icon in the app listing
* Only show ripple when an icon is hit in the app listing
* Fix updating background of search input

## 1.10.0
* Add haptic feedback
* Improve tip messages

## 1.9.0
* Fade pie menu in and out
* Smooth icon positions in edit mode
* Give some feedback while indexing apps
* Request to ignore battery optimizations

## 1.8.0
* Always hide soft keyboard when scrolling down
* Set search action for soft keyboard
* Choose eight icons into initial pie menu
* Remove Material shadow from app icons

## 1.7.1
* Ensure ripple effect is shown

## 1.7.0
* Show a ripple effect for touch events
* Improve scrolling apps in icon grid
* Update app icons with Material shadow

## 1.6.0
* Show all apps in an icon grid instead of a list
* Improve sorting of matches
* Improve action icons in menu editor

## 1.5.0
* Sort fuzzy matches for app search after exact ones
* Improve tap detection for opening the app list

## 1.4.0
* Allow one typo in app search
* Make background of search input fade in and out
* Remove search the internet items from app listing
* Make app listing always end above soft keyboard
* Hide soft keyboard when scrolling a fresh app listing up
* Add a fading edge to app listing
* Fix initial dragging position when adding an icon to the menu

## 1.3.0
* Search internet with unresolved queries

## 1.2.4
* Ensure pie menu is initially hidden

## 1.2.3
* Fix reloading icons after package events

## 1.2.2
* Improve rendering of pie menu
* Make unavailable actions in editor translucent

## 1.2.1
* Fix handling of app updates

## 1.2.0
* Show app listing when Home button is pressed

## 1.1.0
* Keep state of app listing if possible
* Improve handling of events for new and removed packages
* Reload app infos when the locale changes
* End edit mode when home button is pressed
* Filter very short touch interruptions
* Fix touch position on Android Lollipop and before

## 1.0.0
* Add support for multiple launcher icons per app
* Show tips in editor
* Pinch/zoom to scale the pie menu in editor
* Create initial menu from common intents
* Close app listing with a swipe down
* Restrict to start orientation
* Decrease distance between list items
* Enlarge icon drop zones in editor

## 0.0.0
* Pre release
